Add ctmodel and ctpoisson tools to efficiently simulate binned data

10/09/2012 04:28 PM - Deil Christoph

Status: Rejected Start date: 10/09/2012

Priority: Normal Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: HESS sprint #1   

Description

One can simulate binned data by using ctobssim to simulate event lists and then bin them with ctbin or ctskymap.

But it should be much faster (and yield identical results) to directly compute expected counts images / cubes and then

Poisson-fluctuate each bin.

Concretely I want to simulate a Galactic plane survey with ~ 10,000 runs and ~ 1000 sources and I also want to fill background

according to different background models and study their residuals.

I guess a ctmodel tool could compute the expected count images / cubes such that the counts are preserved even for sources / PSF

sizes that are small compared to the pixel size and using bounding boxes to not evaluate the model for the whole field of view.

And then there would be an extremely simple ctpoisson tool that simply Poisson fluctuated each bin.

Jürgen, would it be worth adding ctmodel and ctpoisson?

Sorry, I didn't check in detail what is already available in gammalib / ctools, maybe what I want is already possible?

History

#1 - 10/10/2012 08:48 PM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#2 - 10/10/2012 08:53 PM - Knödlseder Jürgen

- Status changed from New to Rejected

- % Done changed from 0 to 100

This is a ctools feature. I moved it over to the ctools project under feature number #544.
